package com.yutou.napcat.handle;

import com.yutou.okhttp.BaseBean;
import lombok.Data;

public class At extends BaseHandle<At.AtData> {
    public At() {
        super("at");
    }

    public At(Long userId) {
        super("at");
        data = new AtData(userId);
    }

    @Override
    public String toString() {
        if (data == null) {
            return null;
        }
        return String.format("[CQ:at,qq=%d]", data.qq);
    }

    @Data
    public class AtData extends BaseBean {
        private Long qq;

        public AtData(Long qq) {
            this.qq = qq;
        }
    }
}
